{ config, lib, ... }:
{
  services.nginx.virtualHosts."uptime.${config.vars.primeDomain}" = lib.mkIf config.services.uptime-kuma.enable {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:4005";
      proxyWebsockets = true;
    };
  };
}
